ResultMetadataType (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing, enum: ResultMetadataType

Package com.google.zxing

# Enum ResultMetadataType

java.lang.Object
java.lang.Enum<ResultMetadataType>
com.google.zxing.ResultMetadataType

All Implemented Interfaces:
  `Serializable`, `Comparable<ResultMetadataType>`, `java.lang.constant.Constable`

public enum ResultMetadataType extends Enum<ResultMetadataType>
Represents some type of metadata about the result of the decoding that the decoder wishes to communicate back to the caller.

Author:
  Sean Owen

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYTE_SEGMENTS`
  2D barcode formats typically encode text, but allow for a sort of 'byte mode' which is sometimes used to encode binary data.
  `ERASURES_CORRECTED`
  The number of erasures corrected.
  `ERROR_CORRECTION_LEVEL`
  Error correction level used, if applicable.
  `ERRORS_CORRECTED`
  The number of errors corrected.
  `ISSUE_NUMBER`
  For some periodicals, indicates the issue number as an `Integer`.
  `ORIENTATION`
  Denotes the likely approximate orientation of the barcode in the image.
  `OTHER`
  Unspecified, application-specific metadata.
  `PDF417_EXTRA_METADATA`
  PDF417-specific metadata.
  `POSSIBLE_COUNTRY`
  For some products, the possible country of manufacture as a `String` denoting the ISO country code.
  `STRUCTURED_APPEND_PARITY`
  If the code format supports structured append and the current scanned code is part of one then the parity is given with it.
  `STRUCTURED_APPEND_SEQUENCE`
  If the code format supports structured append and the current scanned code is part of one then the sequence number is given with it.
  `SUGGESTED_PRICE`
  For some products, indicates the suggested retail price in the barcode as a formatted `String`.
  `SYMBOLOGY_IDENTIFIER`
  Barcode Symbology Identifier.
  `UPC_EAN_EXTENSION`
  For some products, the extension text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResultMetadataType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ResultMetadataType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OTHER

    public static final ResultMetadataType OTHER
    Unspecified, application-specific metadata. Maps to an unspecified `Object`.

  - ### ORIENTATION

    public static final ResultMetadataType ORIENTATION
    Denotes the likely approximate orientation of the barcode in the image. This value is given as degrees rotated clockwise from the normal, upright orientation. For example a 1D barcode which was found by reading top-to-bottom would be said to have orientation "90". This key maps to an `Integer` whose value is in the range [0,360).

  - ### BYTE_SEGMENTS

    public static final ResultMetadataType BYTE_SEGMENTS

    2D barcode formats typically encode text, but allow for a sort of 'byte mode' which is sometimes used to encode binary data. While `Result` makes available the complete raw bytes in the barcode for these formats, it does not offer the bytes from the byte segments alone.

    This maps to a `List` of byte arrays corresponding to the raw bytes in the byte segments in the barcode, in order.

  - ### ERROR_CORRECTION_LEVEL

    public static final ResultMetadataType ERROR_CORRECTION_LEVEL
    Error correction level used, if applicable. The value type depends on the format, but is typically a String.

  - ### ERRORS_CORRECTED

    public static final ResultMetadataType ERRORS_CORRECTED
    The number of errors corrected. If applicable, maps to an `Integer` of value greater than or equal to zero.

  - ### ERASURES_CORRECTED

    public static final ResultMetadataType ERASURES_CORRECTED
    The number of erasures corrected. If applicable, maps to an `Integer` of value greater than or equal to zero.

  - ### ISSUE_NUMBER

    public static final ResultMetadataType ISSUE_NUMBER
    For some periodicals, indicates the issue number as an `Integer`.

  - ### SUGGESTED_PRICE

    public static final ResultMetadataType SUGGESTED_PRICE
    For some products, indicates the suggested retail price in the barcode as a formatted `String`.

  - ### POSSIBLE_COUNTRY

    public static final ResultMetadataType POSSIBLE_COUNTRY
    For some products, the possible country of manufacture as a `String` denoting the ISO country code. Some map to multiple possible countries, like "US/CA".

  - ### UPC_EAN_EXTENSION

    public static final ResultMetadataType UPC_EAN_EXTENSION
    For some products, the extension text.

  - ### PDF417_EXTRA_METADATA

    public static final ResultMetadataType PDF417_EXTRA_METADATA
    PDF417-specific metadata.

  - ### STRUCTURED_APPEND_SEQUENCE

    public static final ResultMetadataType STRUCTURED_APPEND_SEQUENCE
    If the code format supports structured append and the current scanned code is part of one then the sequence number is given with it.

  - ### STRUCTURED_APPEND_PARITY

    public static final ResultMetadataType STRUCTURED_APPEND_PARITY
    If the code format supports structured append and the current scanned code is part of one then the parity is given with it.

  - ### SYMBOLOGY_IDENTIFIER

    public static final ResultMetadataType SYMBOLOGY_IDENTIFIER
    Barcode Symbology Identifier. Note: According to the GS1 specification the identifier may have to replace a leading FNC1/GS character when prepending to the barcode content.

- ## Method Details

  - ### values

    public static ResultMetadataType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ResultMetadataType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null